Bug 191024 - Installation should not install BIND as a dependency
Installation should not install BIND as a dependency
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: 185505 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-05-08 04:32 EDT by Jørgen Thomsen
Modified: 2008-05-06 11:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jørgen Thomsen 2006-05-08 04:32:13 EDT
Description of problem:

Our customized BIND installation was destroyed because the NetworkManager RPM 
lists BIND as a dependency and installed it upon the upgrade to FC5.
A program with the following description should not require the installation of 
a local nameserver!   

"The  NetworkManager  daemon  attempts  to keep an active network connection 
available at all times."

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. upgrade to FC5 with BIND not installed as RPM package
Actual results:
BIND installed

Expected results:
BIND not installed

Additional info:

See bug 190330
Comment 1 Matěj Cepl 2007-03-08 19:12:52 EST
*** Bug 185505 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2008-04-03 22:50:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:53:05 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.